Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.ws.policy.builder.xml
Class XmlPrimitiveAssertion

    java.lang.Object
      org.apache.cxf.ws.policy.builder.primitive.PrimitiveAssertion
          org.apache.cxf.ws.policy.builder.xml.XmlPrimitiveAssertion

All Implemented Interfaces:
  PolicyAssertion, org.apache.neethi.Assertion, org.apache.neethi.PolicyComponent

    public class XmlPrimitiveAssertion

extends PrimitiveAssertion

XmlPrimitiveAssertion is a primitive implementation of an AssertionBuilder that simply wraps the underlying xml element.

Field Summary

Fields inherited from class org.apache.cxf.ws.policy.builder.primitive.PrimitiveAssertion
`name, optional`

Constructor Summary
`XmlPrimitiveAssertion(org.w3c.dom.Element e)` Constructs a XmlPrimitiveAssertion from an xml element.

Method Summary
`protected PolicyAssertion` | `cloneMandatory()`
`org.w3c.dom.Element` | `getValue()` Returns the wrapped element.
`org.apache.neethi.PolicyComponent` | `normalize(boolean isDeep)` Throws an UnsupportedOperationException since an assertion of an unknown element can't be fully normalized due to it's unknown composite.

Methods inherited from class org.apache.cxf.ws.policy.builder.primitive.PrimitiveAssertion
`equal, getName, getPolicy, getType, isAsserted, isOptional, normalize, serialize, setName, setOptional, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XmlPrimitiveAssertion

    public XmlPrimitiveAssertion(org.w3c.dom.Element e)

  Constructs a XmlPrimitiveAssertion from an xml element.

  Parameters:
    `e` - the xml element

Method Detail

### getValue

    public org.w3c.dom.Element getValue()

  Returns the wrapped element.

  Returns:
    the wrapped element

### normalize

    public org.apache.neethi.PolicyComponent normalize(boolean isDeep)

  Throws an UnsupportedOperationException since an assertion of an unknown element can't be fully normalized due to it's unknown composite.

### cloneMandatory

    protected PolicyAssertion cloneMandatory()

  Overrides:
    `cloneMandatory` in class `PrimitiveAssertion`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF